__gnu_pbds::detail::ov_tree_node_const_it_< Value_Type, Metadata_Type, _Alloc > Class Template Reference
Inheritance diagram for __gnu_pbds::detail::ov_tree_node_const_it_< Value_Type, Metadata_Type, _Alloc >:
[legend]

## Public Types

typedef _Alloc::template rebind< typename remove_const < Value_Type >::type > ::other::const_pointer | const_reference
typedef trivial_iterator_difference_type | difference_type
typedef trivial_iterator_tag | iterator_category
typedef _Alloc::template rebind< metadata_type > ::other::const_reference | metadata_const_reference
typedef Metadata_Type | metadata_type
typedef _Alloc::template rebind< typename remove_const < Value_Type >::type > ::other::const_pointer | reference
typedef _Alloc::template rebind< Value_Type > ::other::const_pointer | value_type

## Public Member Functions

| ov_tree_node_const_it_ (const_pointer p_nd=0, const_pointer p_begin_nd=0, const_pointer p_end_nd=0, const_metadata_pointer p_metadata=0)
this_type | get_l_child () const
metadata_const_reference | get_metadata () const
this_type | get_r_child () const
bool | operator!= (const this_type &other) const
const_reference | operator* () const
bool | operator== (const this_type &other) const

## Public Attributes

pointer | m_p_begin_value
pointer | m_p_end_value
const_metadata_pointer | m_p_metadata
pointer | m_p_value

## Protected Types

typedef _Alloc::template rebind< Metadata_Type > ::other::const_pointer | const_metadata_pointer
typedef _Alloc::template rebind< Value_Type > ::other::const_pointer | const_pointer
typedef _Alloc::template rebind< Value_Type > ::other::pointer | pointer
typedef ov_tree_node_const_it_ < Value_Type, Metadata_Type, _Alloc > | this_type

## Static Protected Member Functions

template<typename Ptr >
static Ptr | mid_pointer (Ptr p_begin, Ptr p_end)

## Detailed Description

### template<typename Value_Type, typename Metadata_Type, typename _Alloc>
class __gnu_pbds::detail::ov_tree_node_const_it_< Value_Type, Metadata_Type, _Alloc >

Const node reference.

Definition at line 57 of file ov_tree_map_/node_iterators.hpp.

## Member Function Documentation

template<typename Value_Type , typename Metadata_Type , typename _Alloc >

this_type __gnu_pbds::detail::ov_tree_node_const_it_< Value_Type, Metadata_Type, _Alloc >::get_l_child | ( |  | ) | const

inline

Returns the node iterator associated with the left node.

Definition at line 142 of file ov_tree_map_/node_iterators.hpp.

template<typename Value_Type , typename Metadata_Type , typename _Alloc >

this_type __gnu_pbds::detail::ov_tree_node_const_it_< Value_Type, Metadata_Type, _Alloc >::get_r_child | ( |  | ) | const

inline

Returns the node iterator associated with the right node.

Definition at line 158 of file ov_tree_map_/node_iterators.hpp.

The documentation for this class was generated from the following file:

- ov_tree_map_/node_iterators.hpp